# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class URIRequest(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    def __init__(self, real_uri: str=None):  # noqa: E501
        """URIRequest - a model defined in Swagger

        :param real_uri: The real_uri of this URIRequest.  # noqa: E501
        :type real_uri: str
        """
        self.swagger_types = {
            'real_uri': str
        }

        self.attribute_map = {
            'real_uri': 'realURI'
        }

        self._real_uri = real_uri

    @classmethod
    def from_dict(cls, dikt) -> 'URIRequest':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The URIRequest of this URIRequest.  # noqa: E501
        :rtype: URIRequest
        """
        return util.deserialize_model(dikt, cls)

    @property
    def real_uri(self) -> str:
        """Gets the real_uri of this URIRequest.


        :return: The real_uri of this URIRequest.
        :rtype: str
        """
        return self._real_uri

    @real_uri.setter
    def real_uri(self, real_uri: str):
        """Sets the real_uri of this URIRequest.


        :param real_uri: The real_uri of this URIRequest.
        :type real_uri: str
        """

        self._real_uri = real_uri
